Bug 1476756 - Failure to collect metrics of Window instances on Azure
Failure to collect metrics of Window instances on Azure
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization (Show other bugs)
5.8.0
Unspecified Unspecified
high Severity high
: GA
: 5.9.0
Assigned To: Bronagh Sorota
Nandini Chandra
c&u:azure
: TestOnly, ZStream
Depends On:
Blocks: 1484374
  Show dependency treegraph
 
Reported: 2017-07-31 07:26 EDT by Sachin
Modified: 2017-11-30 16:44 EST (History)
10 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1484374 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin 2017-07-31 07:26:37 EDT
Description of problem:

C & U data processor skips processing instance metrics as there are not captured.
~~~
$ grep psachinwinser
[----] I, [2017-07-31T11:53:48.518617 #7646:c1b13c]  INFO -- : MIQ(ManageIQ::Providers::Azure::CloudManager::Vm#perf_capture) [realtime] Capture for ManageIQ::Providers::Azure::CloudManager::Vm name: [psachinwinser], id: [58000000000283], start_time: [2017-07-31 00:00:00 UTC]...
[----] I, [2017-07-31T11:53:55.594144 #7646:c1b13c]  INFO -- : MIQ(ManageIQ::Providers::Azure::CloudManager::Vm#perf_capture) [realtime] Capture for ManageIQ::Providers::Azure::CloudManager::Vm name: [psachinwinser], id: [58000000000283], start_time: [2017-07-31 00:00:00 UTC]...Complete - Timings: {:server_dequeue=>0.0052263736724853516, :capture_state=>0.18803811073303223, :connect=>2.1457672119140625e-06, :capture_counters=>6.665560007095337, :total_time=>12.093082904815674}
[----] I, [2017-07-31T11:53:55.594272 #7646:c1b13c]  INFO -- : MIQ(ManageIQ::Providers::Azure::CloudManager::Vm#perf_capture) [realtime] Skipping processing for ManageIQ::Providers::Azure::CloudManager::Vm name: [psachinwinser], id: [58000000000283], start_time: [2017-07-31 00:00:00 UTC] as no metrics were captured.
~~~


Version-Release number of selected component (if applicable):
5.8.0.17

How reproducible:
Always

Steps to Reproduce:
On Azure portal
---------------
1. Launch windows instance from
2. Enable Basic & Boot diagnostic from 'Monitoring -> Diagnostics settings' by visiting instance overview page

On CloudForms appliances
------------------------
1. Visit Configuration -> Zone -> Server -> 'Server Control' and enable C & U Coordinator, Data collector, & Processor roles under  
2. Visit Configuration => CFME Region -> "C & U Collection" tab and enable "Collect for Cluster" & "Collect for Datastores"

Actual results:
Should be able to view instance utilization

Expected results:
Not able to view utilization

Additional info:
Comment 3 Dave Johnson 2017-08-01 02:09:04 EDT
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set it to Low/Low.
Comment 4 Bronagh Sorota 2017-08-03 09:35:22 EDT
Hi Sachin 
Is the VM powered on?

Thanks,
Bronagh
Comment 6 Daniel Berger 2017-08-08 09:23:32 EDT
Some comments on the customer portal lead me to believe that it is collecting metrics now. Is this still an issue?
Comment 7 Sachin 2017-08-15 02:53:52 EDT
Nope. Customer still faces the issue. I will also check in my test environment and revert back to you
Comment 11 CFME Bot 2017-08-21 12:08:09 EDT
New commit detected on ManageIQ/manageiq-providers-azure/master:
https://github.com/ManageIQ/manageiq-providers-azure/commit/a875dc1d8063cfc0de369ba66aece027777e0702

commit a875dc1d8063cfc0de369ba66aece027777e0702
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Fri Aug 18 16:00:10 2017 -0400
Commit:     Bronagh Sorota <bsorota@redhat.com>
CommitDate: Mon Aug 21 10:12:35 2017 -0400

    Updated metric names for Azure metrics
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1476756

 .../providers/azure/cloud_manager/metrics_capture.rb      | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)
Comment 21 CFME Bot 2017-08-25 11:48:07 EDT
New commit detected on ManageIQ/manageiq-providers-azure/master:
https://github.com/ManageIQ/manageiq-providers-azure/commit/2fbe1e26d9831df0b1d88fcab7a1d2f5cc32ee24

commit 2fbe1e26d9831df0b1d88fcab7a1d2f5cc32ee24
Author:     Bronagh Sorota <bsorota@redhat.com>
AuthorDate: Mon Aug 21 13:48:03 2017 -0400
Commit:     Bronagh Sorota <bsorota@redhat.com>
CommitDate: Mon Aug 21 13:49:33 2017 -0400

    The resource group property on a VM was previously a string.
    Recently, this was changed to a ResourceGroup object.
    Refer now to target.resource_group.name.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1476756

 .../manageiq/providers/azure/cloud_manager/metrics_capture.rb       | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)
Comment 22 Nandini Chandra 2017-11-30 16:44:43 EST
Verified in 5.9.0.11

Note You need to log in before you can comment on or make changes to this bug.